<?php
/*
TuxBoard forum script
Copyright (C) 2013  Colin Murphy

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

session_start();
require_once("config.php");
$ptitle = "Main page - " . $config["title"];
include($config["themes"] . $config["theme"] . "/header.html");
echo "<table class=\"table forums\"><tr class=\"toptr\"><td>Forum</td><td>Topics</td><td>Posts</td><td>Last Post</td></tr>";
foreach (glob($config["datadir"] . "*") as $cat) {
	$title = file_get_contents("$cat/title.txt"); # forum title
	$pn = file_get_contents("$cat/pn.txt"); # topic number
	$postnumber = file_get_contents("$cat/postnumber.txt"); # post number
	$last = file_get_contents("$cat/last.txt"); # last post/topic
	$description = file_get_contents("$cat/description.txt"); # Forum description
	$description = nl2br($description);
	$cat = str_replace($config["datadir"], "", $cat); # get rid of $config["datadir"]'s name
	echo "<tr><td><strong><a href=\"category.php?id=$cat\">$title</a></strong><br>$description</td><td>$pn</td><td>$postnumber</td><td>$last</td></tr>";
}
echo "</table>";

include($config["themes"] . $config["theme"] . "/footer.html");
?>
